[arch-commits] Commit in jack/repos (10 files)

Ray Rashif schiv at archlinux.org
Thu Oct 13 20:39:26 UTC 2011


    Date: Thursday, October 13, 2011 @ 16:39:26
  Author: schiv
Revision: 140421

archrelease: copy trunk to testing-i686, testing-x86_64

Added:
  jack/repos/testing-i686/
  jack/repos/testing-i686/40-hpet-permissions.rules
    (from rev 140420, jack/trunk/40-hpet-permissions.rules)
  jack/repos/testing-i686/99-realtime.conf
    (from rev 140420, jack/trunk/99-realtime.conf)
  jack/repos/testing-i686/PKGBUILD
    (from rev 140420, jack/trunk/PKGBUILD)
  jack/repos/testing-i686/jack.install
    (from rev 140420, jack/trunk/jack.install)
  jack/repos/testing-x86_64/
  jack/repos/testing-x86_64/40-hpet-permissions.rules
    (from rev 140420, jack/trunk/40-hpet-permissions.rules)
  jack/repos/testing-x86_64/99-realtime.conf
    (from rev 140420, jack/trunk/99-realtime.conf)
  jack/repos/testing-x86_64/PKGBUILD
    (from rev 140420, jack/trunk/PKGBUILD)
  jack/repos/testing-x86_64/jack.install
    (from rev 140420, jack/trunk/jack.install)

------------------------------------------+
 testing-i686/40-hpet-permissions.rules   |    2 +
 testing-i686/99-realtime.conf            |    2 +
 testing-i686/PKGBUILD                    |   53 ++++++++++++++++++++++++++
 testing-i686/jack.install                |   57 +++++++++++++++++++++++++++++
 testing-x86_64/40-hpet-permissions.rules |    2 +
 testing-x86_64/99-realtime.conf          |    2 +
 testing-x86_64/PKGBUILD                  |   53 ++++++++++++++++++++++++++
 testing-x86_64/jack.install              |   57 +++++++++++++++++++++++++++++
 8 files changed, 228 insertions(+)

Copied: jack/repos/testing-i686/40-hpet-permissions.rules (from rev 140420, jack/trunk/40-hpet-permissions.rules)
===================================================================
--- testing-i686/40-hpet-permissions.rules	                        (rev 0)
+++ testing-i686/40-hpet-permissions.rules	2011-10-13 20:39:26 UTC (rev 140421)
@@ -0,0 +1,2 @@
+KERNEL=="rtc0", GROUP="realtime"
+KERNEL=="hpet", GROUP="realtime"

Copied: jack/repos/testing-i686/99-realtime.conf (from rev 140420, jack/trunk/99-realtime.conf)
===================================================================
--- testing-i686/99-realtime.conf	                        (rev 0)
+++ testing-i686/99-realtime.conf	2011-10-13 20:39:26 UTC (rev 140421)
@@ -0,0 +1,2 @@
+ at realtime 	- rtprio 	99
+ at realtime 	- memlock 	unlimited

Copied: jack/repos/testing-i686/PKGBUILD (from rev 140420, jack/trunk/PKGBUILD)
===================================================================
--- testing-i686/PKGBUILD	                        (rev 0)
+++ testing-i686/PKGBUILD	2011-10-13 20:39:26 UTC (rev 140421)
@@ -0,0 +1,53 @@
+# $Id$
+# Maintainer: Ray Rashif <schiv at archlinux.org>
+# Contributor: tobias <tobias at archlinux.net>
+# Contributor: Robert Emil Berge <robert at rebi.no>
+
+pkgname=jack
+_longname=jack-audio-connection-kit
+pkgver=0.121.3
+pkgrel=2
+pkgdesc="A low-latency audio server"
+arch=('i686' 'x86_64')
+license=('GPL' 'LGPL')
+depends=('libsamplerate' 'readline')
+makedepends=('doxygen' 'libffado' 'celt')
+optdepends=('libffado: FireWire support'
+            'celt: NetJACK driver')
+url="http://jackaudio.org/"
+backup=(etc/security/limits.d/99-realtime.conf)
+options=('!libtool')
+provides=("$_longname=$pkgver")
+conflicts=("$_longname")
+replaces=("$_longname")
+install=$pkgname.install
+source=("http://jackaudio.org/downloads/$_longname-$pkgver.tar.gz"
+        "99-realtime.conf"
+        "40-hpet-permissions.rules")
+md5sums=('35f470f7422c37b33eb965033f7a42e8'
+         'bb312fa74956066046d6a599ac623c98'
+         '6a1017041c024cea57da9bd726b664d7')
+
+build() {
+  cd "$srcdir/$_longname-$pkgver"
+
+  ./configure --prefix=/usr \
+              --libdir=/usr/lib
+  make
+}
+
+package() {
+  cd "$srcdir/$_longname-$pkgver"
+
+  make DESTDIR="$pkgdir" install
+
+  # configure realtime access/scheduling
+  # see https://bugs.archlinux.org/task/26343
+  install -Dm644 "$srcdir/99-realtime.conf" \
+    "$pkgdir/etc/security/limits.d/99-realtime.conf"
+
+  install -Dm644 "$srcdir/40-hpet-permissions.rules" \
+    "$srcdir/lib/udev/rules.d/40-hpet-permissions.rules"
+}
+
+# vim:set ts=2 sw=2 et:

Copied: jack/repos/testing-i686/jack.install (from rev 140420, jack/trunk/jack.install)
===================================================================
--- testing-i686/jack.install	                        (rev 0)
+++ testing-i686/jack.install	2011-10-13 20:39:26 UTC (rev 140421)
@@ -0,0 +1,57 @@
+_addgroup() {
+  # _addgroup $GROUPNAME $GID
+  [ ${#@} -ne 2 ] && return 1
+
+  echo -n "  > Checking if '$1' group exists..."
+  if ! getent group $1 > /dev/null; then
+    echo "no"
+    echo "  > Add '$1' group"
+    echo -n "    >> checking if GID is in use..."
+		# no other package or user is supposed to use this gid
+		# delete the group and re-add it at the end without static gid
+		if getent group $2 > /dev/null; then
+      echo "yes"
+			firstgroup=$(getent group $2 | sed 's/:.*//')
+      firstusers=$(getent group $2 | sed 's/.*://')
+      echo "    >> delete group '$firstgroup'"
+			groupdel $firstgroup
+    else
+      echo "no"
+		fi
+
+    echo "    >> add our group with proper GID"
+		groupadd -g $2 $1
+
+		if [ -n "$firstgroup" ]; then
+      echo "    >> restore group '$firstgroup' with dynamic GID"
+      groupadd $firstgroup
+      [ -n "$firstusers" ] && gpasswd -M $firstusers $firstgroup
+    fi
+  else
+    echo "yes (all good)"
+  fi
+}
+
+post_install() {
+  _addgroup realtime 112
+  echo
+  echo "  * You must be part of the 'realtime' group to use RT scheduling"
+  echo "  * You don't need an 'RT kernel' to use RT scheduling"
+  echo "  * If you don't need RT start jack with '--no-realtime'"
+  echo "  * If you don't record or sequence audio you don't need RT"
+}
+
+post_upgrade() {
+  _addgroup realtime 112
+  echo
+  echo "  * You must be part of the 'realtime' group to use RT scheduling"
+  echo "  * Configuring RT through limits.conf has been deprecated"
+  echo "  * See /etc/security/limits.d/99-realtime.conf instead"
+}
+
+post_remove() {
+	[ "$(getent group realtime | cut -d ':' -f 3)" = '112' ] && \
+		groupdel realtime || true
+}
+
+# vim:set ts=2 sw=2 et:

Copied: jack/repos/testing-x86_64/40-hpet-permissions.rules (from rev 140420, jack/trunk/40-hpet-permissions.rules)
===================================================================
--- testing-x86_64/40-hpet-permissions.rules	                        (rev 0)
+++ testing-x86_64/40-hpet-permissions.rules	2011-10-13 20:39:26 UTC (rev 140421)
@@ -0,0 +1,2 @@
+KERNEL=="rtc0", GROUP="realtime"
+KERNEL=="hpet", GROUP="realtime"

Copied: jack/repos/testing-x86_64/99-realtime.conf (from rev 140420, jack/trunk/99-realtime.conf)
===================================================================
--- testing-x86_64/99-realtime.conf	                        (rev 0)
+++ testing-x86_64/99-realtime.conf	2011-10-13 20:39:26 UTC (rev 140421)
@@ -0,0 +1,2 @@
+ at realtime 	- rtprio 	99
+ at realtime 	- memlock 	unlimited

Copied: jack/repos/testing-x86_64/PKGBUILD (from rev 140420, jack/trunk/PKGBUILD)
===================================================================
--- testing-x86_64/PKGBUILD	                        (rev 0)
+++ testing-x86_64/PKGBUILD	2011-10-13 20:39:26 UTC (rev 140421)
@@ -0,0 +1,53 @@
+# $Id$
+# Maintainer: Ray Rashif <schiv at archlinux.org>
+# Contributor: tobias <tobias at archlinux.net>
+# Contributor: Robert Emil Berge <robert at rebi.no>
+
+pkgname=jack
+_longname=jack-audio-connection-kit
+pkgver=0.121.3
+pkgrel=2
+pkgdesc="A low-latency audio server"
+arch=('i686' 'x86_64')
+license=('GPL' 'LGPL')
+depends=('libsamplerate' 'readline')
+makedepends=('doxygen' 'libffado' 'celt')
+optdepends=('libffado: FireWire support'
+            'celt: NetJACK driver')
+url="http://jackaudio.org/"
+backup=(etc/security/limits.d/99-realtime.conf)
+options=('!libtool')
+provides=("$_longname=$pkgver")
+conflicts=("$_longname")
+replaces=("$_longname")
+install=$pkgname.install
+source=("http://jackaudio.org/downloads/$_longname-$pkgver.tar.gz"
+        "99-realtime.conf"
+        "40-hpet-permissions.rules")
+md5sums=('35f470f7422c37b33eb965033f7a42e8'
+         'bb312fa74956066046d6a599ac623c98'
+         '6a1017041c024cea57da9bd726b664d7')
+
+build() {
+  cd "$srcdir/$_longname-$pkgver"
+
+  ./configure --prefix=/usr \
+              --libdir=/usr/lib
+  make
+}
+
+package() {
+  cd "$srcdir/$_longname-$pkgver"
+
+  make DESTDIR="$pkgdir" install
+
+  # configure realtime access/scheduling
+  # see https://bugs.archlinux.org/task/26343
+  install -Dm644 "$srcdir/99-realtime.conf" \
+    "$pkgdir/etc/security/limits.d/99-realtime.conf"
+
+  install -Dm644 "$srcdir/40-hpet-permissions.rules" \
+    "$srcdir/lib/udev/rules.d/40-hpet-permissions.rules"
+}
+
+# vim:set ts=2 sw=2 et:

Copied: jack/repos/testing-x86_64/jack.install (from rev 140420, jack/trunk/jack.install)
===================================================================
--- testing-x86_64/jack.install	                        (rev 0)
+++ testing-x86_64/jack.install	2011-10-13 20:39:26 UTC (rev 140421)
@@ -0,0 +1,57 @@
+_addgroup() {
+  # _addgroup $GROUPNAME $GID
+  [ ${#@} -ne 2 ] && return 1
+
+  echo -n "  > Checking if '$1' group exists..."
+  if ! getent group $1 > /dev/null; then
+    echo "no"
+    echo "  > Add '$1' group"
+    echo -n "    >> checking if GID is in use..."
+		# no other package or user is supposed to use this gid
+		# delete the group and re-add it at the end without static gid
+		if getent group $2 > /dev/null; then
+      echo "yes"
+			firstgroup=$(getent group $2 | sed 's/:.*//')
+      firstusers=$(getent group $2 | sed 's/.*://')
+      echo "    >> delete group '$firstgroup'"
+			groupdel $firstgroup
+    else
+      echo "no"
+		fi
+
+    echo "    >> add our group with proper GID"
+		groupadd -g $2 $1
+
+		if [ -n "$firstgroup" ]; then
+      echo "    >> restore group '$firstgroup' with dynamic GID"
+      groupadd $firstgroup
+      [ -n "$firstusers" ] && gpasswd -M $firstusers $firstgroup
+    fi
+  else
+    echo "yes (all good)"
+  fi
+}
+
+post_install() {
+  _addgroup realtime 112
+  echo
+  echo "  * You must be part of the 'realtime' group to use RT scheduling"
+  echo "  * You don't need an 'RT kernel' to use RT scheduling"
+  echo "  * If you don't need RT start jack with '--no-realtime'"
+  echo "  * If you don't record or sequence audio you don't need RT"
+}
+
+post_upgrade() {
+  _addgroup realtime 112
+  echo
+  echo "  * You must be part of the 'realtime' group to use RT scheduling"
+  echo "  * Configuring RT through limits.conf has been deprecated"
+  echo "  * See /etc/security/limits.d/99-realtime.conf instead"
+}
+
+post_remove() {
+	[ "$(getent group realtime | cut -d ':' -f 3)" = '112' ] && \
+		groupdel realtime || true
+}
+
+# vim:set ts=2 sw=2 et:




More information about the arch-commits mailing list